Skip to main content
GET
/
v1
/
orders
Get current orders
curl --request GET \
  --url https://api.anthid.com/v1/orders
{
  "data": [
    {
      "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "filled_quantity": 123,
      "intent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "quantity": 123,
      "received_at": "2023-11-07T05:31:56Z",
      "symbol": "<string>",
      "average_price": {
        "integer": 123,
        "precision": 1
      },
      "external_order_id": "<string>",
      "limit_price": {
        "integer": 123,
        "precision": 1
      }
    }
  ],
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.anthid.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

account_id
string<uuid>

Filter orders by trading account id

symbol
string

Filter orders by symbol. Symbols are normalized to uppercase

external_order_id
string

Filter orders by external broker order id

intent_id
string<uuid>

Filter orders by originating intent id

limit
integer<int32>

Maximum number of results to return. Defaults to 100 and is capped at 1000

Required range: x >= 0
next_cursor
string

Opaque keyset pagination cursor from a previous response

Response

Orders retrieved

data
object[]
required
next_cursor
string | null